package com.sv.mapper;
import com.sv.entity.MemberCardOrder;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * Mapper - 会员卡订单
 *
 * @author yechanglin
 * @since 2018-08-03
 */
public interface MemberCardOrderMapper {

    /**
     * 新建会员卡订单
     *
     * @param memberCardOrder 会员卡订单
     */
    void insert(MemberCardOrder memberCardOrder);

    /**
     * 更新会员卡订单
     *
     * @param memberCardOrder 会员卡订单
     */
    void update(MemberCardOrder memberCardOrder);

    /**
     * 删除会员卡订单
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除会员卡订单
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询会员卡订单
     *
     * @param id 编号
     * @return 会员卡订单
     */
    MemberCardOrder findById(Integer id);

    /**
     * 查询会员卡订单-oms
     *
     * @return 会员卡订单集合
     */
    List<MemberCardOrder> findAlls(@Param("payStatus") Integer payStatus,
                                   @Param("starTime") String starTime, @Param("endTime") String endTime,
                                   @Param("orderSn") String orderSn);



    /**
     * 查询会员卡订单
     *
     * @return 会员卡订单集合
     */
    List<MemberCardOrder> findAll();

    /**
     * api 通过订单号查询用户会员卡记录
     */
    MemberCardOrder paySuccess(String orderSn);
}